<ion-view title="Gallery" ng-controller="galleryCtrl as scope">
  <div class="container" style="padding-top: 50px">

    <div class="row">
      <div class="col-sm-12">

        <div ngf-drop="scope.addImages($files)" ngf-select="scope.addImages($files)" class="drop-box" ngf-drag-over-class="'dragover'" ngf-multiple="true" ngf-allow-dir="true" accept="image/*" ngf-pattern="'image/*'">
          Drop images here or click to upload
        </div>

        <div ngf-no-file-drop>
          <div class="button" ngf-select="scope.addImages($files)" multiple="multiple">Upload Images</div>
        </div>

      </div>

      <div class="col-sm-12">

        <div ng-repeat="(key, image) in scope.gallery" class="gallery-content">
          <input type="text" ng-model="scope.gallery[key].title" ng-change="scope.saveTitle(key)" class="title-img-gallery">
          <img ng-src="{{image.img}}" class="img-responsive gallery">
          <button class="btn btn-danger btn-block" ng-click="scope.deleteImage(key)">Delete</button>
        </div>

      </div>

    </div>

  </div>

</ion-view>
